### Virtual Method

# GObject ParamSpec value_validate

#### Declaration

    gboolean
    value_validate (
      GParamSpec* pspec,
      GValue* value
    )

#### Description

Ensures that the contents of `value` comply with the specifications set out by this type (optional), see g_param_value_validate().

#### Parameters

`value`

  Type: `GValue`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

No description available.